# -*-coding:utf-8 -*-
from pydantic import BaseModel


class JsonResult(BaseModel):
    code: int
    msg: str
    data: None

    @staticmethod
    def success(code=0, msg="操作成功!", data=None):
        return {
            "code": code,
            "msg": msg,
            "data": data
        }

    @staticmethod
    def error(code=-1, msg="操作失败!", data=None):
        return {
            "code": code,
            "msg": msg,
            "data": data
        }
