from enum import Enum, unique


@unique
class ExceptionType(Enum):
    ILLEGAL_PARAMETER_FORMAT = ("CN000", "参数格式错误!")

    SERVICE_INNER_EXCEPTION = ("CN999", "系统内部异常!")


@unique
class UploadStrExceptionType(Enum):
    UPLOAD_TASK_IS_AREADLY = ("UT000", "上传任务已存在!")

    UPLOAD_TASK_IS_NOT_AREADLY = ("UT001", "上传任务不存在!")

    FILE_PATH_IS_NOT_AREADLY = ("UT002", "图片或视频路径不存在!")

    TASK_IS_RUN_TIMEOUT = ("UT003", "任务执行超时!")

    SERVICE_INNER_EXCEPTION = ("UT999", "系统内部异常!")

@unique
class RtmpExceptionType(Enum):
    ILLEGAL_PARAMETER_FORMAT = (-1, "参数格式错误!")