from enum import Enum, unique


@unique
class UploadExceptionType(Enum):
    TASK_IS_EXECUTING = (-1, "任务正在执行, 请稍后再试!")

    TASK_NOT_EXISTS = (-1, "任务停止失败, 任务不存在!")


@unique
class EasyExceptionType(Enum):
    TASK_IS_EXECUTING = (-1, "任务正在执行, 请稍后再试!")

    TASK_NOT_EXISTS = (-1, "任务停止失败, 任务已停止!")

    EASY_TASK_GET_FAIL = (-1, "获取EasyRtmpLive任务失败！")

    EASY_TASK_LIMIT = (-1, "EasyRtmpLive任务限制, 限制1个任务！")

    EASY_TASK_START_FAIL = (-1, "EasyRtmpLive启动失败！")

    EASY_TASK_STOP_FAIL = (-1, "EasyRtmpLive停止失败！")

    SERVICE_INNER_EXCEPTION = (-1, "系统内部异常！")
