# -*-coding:utf-8 -*-
from fastapi import APIRouter

from router import media_file_router, easy_rtmp_router

api_router = APIRouter()
api_router.include_router(media_file_router.router, tags=['媒体文件上传'], prefix='/upload')
api_router.include_router(easy_rtmp_router.router, tags=['EasyRtmpLive推流接口'], prefix='/easy')
