from enum import Enum, unique


@unique
class UploadStatusType(Enum):

    WAITING = (5, "待上传")

    RUNNING = (10, "上传中")

    SUCCESS = (15, "完成")

    FAILED = (20, "失败")

    CANCEL = (25, "取消")


@unique
class UploadTaskStatusType(Enum):

    WAITING = (5, "待执行")

    RUNNING = (10, "执行中")

    SUCCESS = (15, "完成")

    TIMEOUT = (20, "超时")

    FAILED = (25, "失败")





